Real-time News
Query the real-time news under a specified market and language, returning title, publish time, original link, and provider
Real-time News Query
GET
/newsRequest Parameters
marketenumRequiredMarket type, values from product type configuration
langenumRequiredNews language
limitstringQuery limit
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
idstringNews ID
testringTitle
ptstringPublish time, Unix timestamp
mtstringMarket type
lgstringLanguage
lkstringOriginal article link
pvstringProvider
Code Examples
import requests
url = "https://api.itick.org/news?market=stock&lang=hk&limit=2"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
GET
https://api.itick.org/news?code=HK, Run query
Response Result
{
"code": 0,
"msg": "ok",
"data": {
"data": [
{
"id": "9de18b22-7c7d-3142-9082-de39d3dc7e1a",
"te": "拼多多雄安公司員工數量超600人,成為新區最大互聯網民營企業",
"pt": 1783264154,
"mt": "stock",
"lg": "hk",
"lk": "https://www.gelonghui.com/live/2537364",
"pv": "Gelonghui"
},
{
"id": "bb7af54f-418c-32a6-88a7-3791735b3c92",
"te": "郭明錤稱摺疊iPhone可能重演iPhone X劇本:同場發佈、較晚開賣,供應吃緊延續至年底",
"pt": 1783262706,
"mt": "stock",
"lg": "hk",
"lk": "https://www.gelonghui.com/live/2537362",
"pv": "Gelonghui"
}
],
"pagination": {
"nextCursor": "2026-07-05T14:45:06.000690825Z",
"hasMore": true,
"count": 2
}
}
}